CALIBRE-DEBUG(1)

NAME
calibre-debug - calibre-debug

calibre-debug [opties]

Verscheidene commandoregel interfaces nuttig voor debugging calibre. Zonder opties start dit commando een geintegreerde python interpreter. Men kan ook de main calibre GUI gebruiken, het calibre leesvenster en de calibre editor in de debug modus.

Het bevat ook interfaces voor verschillende onderdelen van calibre die geen specifieke commandoregel tools hebben, zoals font subsetting, de E-boek diff tool enzovoort.

Men kan ook calibre-debug gebruiken om op zichzelf staande scripts te draaien. Om dat te doen moet dit zo gebruikt worden: calibre-debug myscript.py -- --option1 --option2 file1 file2 …

Alles ná -- wordt doorgegeven aan het script.

Whenever you pass arguments to calibre-debug that have spaces in them, enclose the arguments in quotation marks. For example: “/some path/with spaces”

[OPTIES]

--add-simple-plugin
    Voeg een eenvoudige plug-in toe (b.v. een plug-in die één .py bestand bevat) door het pad aan te geven naar het py-bestand die de code voor de plug-in bevat.

--command, -c
    Python code uitvoeren.

--debug-device-driver, -d
    Fouten in apparaatdetectie zoeken

--default-programs
    Calibre (af)melden als Windows standaard programma. --default-programs = (register|unregister)

--diff
    Draait de calibre diff tool. Bijvoorbeeld: calibre-debug --diff bestand1 bestand2

--edit-book, -t
    Start het calibre "Bewerk Boek" tool in debug modus.

--exec-file, -e
    Python code in het bestand uitvoeren.

--explode-book, -x
    Explodeer het boek (exporteert het boek als een collectie HTML-bestanden en metadata, welke bewerkt kan worden met een standaard HTML-editor en dan het bestand opnieuw opbouwt van de bewerkte HTML's. Het maakt geen aanvullende veranderingen aan het HTML-bestand in tegenstelling een volledige calibre conversie).

--export-all-calibre-data
    Exporteer alle calibre gegevens (boeken/instellingen/plugins)

--gui, -g
    Start de GUI met de probleemoplosser ingeschakeld. De output wordt afgedrukt naar stdou en stderr.

--gui-debug
    Start de GUI met de probleemoplosser console, logging naar het gespecificeerd pad. Wanneer alleen voor intern gebruik, gebruik dan de -g optie om de GUI in debug modus te draaien.

--help, -h
    toon dit helpbericht en stop

--implode-book, -i
    Opnieuw comprimeren van een eerder gedecomprimeerd boek. Gebruik: -i output_dir file.epub Importeert het boek met de bestanden in de output_dir die reeds gecreëerd werden bij een vorige uitvoer van het decomprimeren van het boek. Zorg ervoor dat u hetzelfde bestandstype opgeeft dat werd gebruikt bij het exploderen.

--import-calibre-data
    Importeer eerder geëxporteerde calibre gegevens

--inspect-mobi, -m
    Inspecteer MOBI-bestand(en) in opgegeven pad(en)

--paths
    Output van de paden de nodig zijn voor de installatie van de calibre omgeving

--reinitialize-db
    Opnieuw initiëren van de sqlite calibre database op het opgegeven pad. Nuttig om te herstellen van een corrupte database.

--run-plugin, -r
    Voer een plugin uit welke via opdracht-prompt kan starten. Bijvoorbeeld: calibre-debug -r "Add Books" -- bestand1 --option1 Alles na de -- zal worden meegegeven aan de plugin als argumenten.

--shutdown-running-calibre, -s
    Sluit, indien aanwezig, een actieve calibre-instantie af. Bedenk dat eventuele draaiende taken zonder melding worden afgebroken. Gebruik deze optie voorzichtig.

--subset-font, -f
    Verklein het gespecifieerde lettertype. Gebruik -- na deze optie om opties door te geven naar het lettertype aanpassings programma

--test-build
    Test binaire modules in build

--version
    toon programmaversie en stop

--viewer, -w
    E-boek leesvenster in debug modus uitvoeren

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal